Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066001 - W3C validator: Use of legacy HTML attributes not compliant with XHTML 1.0 Strict type document.
Summary: W3C validator: Use of legacy HTML attributes not compliant with XHTML 1.0 St...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR02
: 6.2.0
Assignee: Lucas Ponce
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks: 1050065
TreeView+ depends on / blocked
 
Reported: 2014-02-17 13:36 UTC by Lucas Ponce
Modified: 2014-07-30 01:56 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
JBoss Portal produced XHTML-type documents, in which some legacy HTML elements were not compatible in a XHTML 1.0 Strict document. This caused non-compliance issues with W3C XHTML validation. The non-compliant elements are fixed with a compliant XHTML workaround. Additionally, XHTML produced by JBoss Portal is modified from strict to transitional to prevent future conflicts for legacy elements in third party portlets.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3409 Major Resolved Use of legacy html attributes not compliant 2016-09-16 05:50:52 UTC

Description Lucas Ponce 2014-02-17 13:36:50 UTC
Description of problem:

JBoss Portal 6.1.0 produces XHTML 1.0 Strict type documents.

There are some legacy html elements (i.e. target="_blank") not compatible with XHTML 1.0 Strict type document creating a non compliant markup.

Version-Release number of selected component (if applicable):

6.1.0

How reproducible:

Always

Steps to Reproduce:
1. Login into Portal.
2. Review source code generated.
3. Validate with http://validator.w3.org/ tool.

Actual results:

Pages with non compliant legacy html elements.

Expected results:

Pages without non compliant html elements making pass a w3c validation test.

Additional info:

Comment 2 Peter Palaga 2014-03-21 15:04:22 UTC
https://github.com/gatein/gatein-portal/pull/803 was merged in upstream.

Comment 3 Tomas Kyjovsky 2014-05-26 16:16:38 UTC
Looking at the source code of /classic/home in 6.2.0.ER2: there are still some target='_blank' occurences hidden inside exo webui JS.

onclick="this.target= '_blank';return true;"

Comment 4 Lucas Ponce 2014-05-26 16:20:10 UTC
Hi Tomas,

From a w3c validation perspective. Workaround to put target attribute inside "onclick" event is valid.

What is not valid is to add a "target" attribute in the xhtml element.

Comment 5 Tomas Kyjovsky 2014-05-26 16:46:49 UTC
I don't know, the workaround seems nasty. Putting it in JS is just avoiding the validation process which only checks the initial state of the doc. The user will eventually get a document that is ivalid against XHTML 1.0 Strict. Wouldn't it be better to declare XHTML 1.0 Transitional instead?


Note You need to log in before you can comment on or make changes to this bug.